# Uses of Interface
org.eclipse.birt.report.engine.api.IHTMLActionHandler

Packages that use IHTMLActionHandler
Package
Description
org.eclipse.birt.report.engine.api
This is an application-writer's interface for using the BIRT report engine.
org.eclipse.birt.report.engine.extension
This package defines 3 key interfaces ---- IReportItemQuery, IReportItemGeneration, and IReportItemPresentation ---- that are used to process an extended item at query preparation, report generation and report rendering times.

## Uses of IHTMLActionHandler in org.eclipse.birt.report.engine.api

Classes in org.eclipse.birt.report.engine.api that implement IHTMLActionHandler
Modifier and Type
Class
Description
`class`
`HTMLActionHandler`
Defines a default action handler for HTML output format
Methods in org.eclipse.birt.report.engine.api that return IHTMLActionHandler
Modifier and Type
Method
Description
`IHTMLActionHandler`
IRenderOption.`getActionHandle()`
Deprecated.
`IHTMLActionHandler`
RenderOption.`getActionHandle()`
Deprecated.
`IHTMLActionHandler`
DataExtractionOption.`getActionHandler()`
`IHTMLActionHandler`
IDataExtractionOption.`getActionHandler()`
`IHTMLActionHandler`
IRenderOption.`getActionHandler()`
Get the action handler
`IHTMLActionHandler`
RenderOption.`getActionHandler()`
Methods in org.eclipse.birt.report.engine.api with parameters of type IHTMLActionHandler
Modifier and Type
Method
Description
`void`
IRenderOption.`setActionHandle(IHTMLActionHandler handler)`
Deprecated.
`void`
RenderOption.`setActionHandle(IHTMLActionHandler handler)`
Deprecated.
`void`
DataExtractionOption.`setActionHandler(IHTMLActionHandler actionHandler)`
`void`
IDataExtractionOption.`setActionHandler(IHTMLActionHandler actionHandler)`
`void`
IRenderOption.`setActionHandler(IHTMLActionHandler handler)`
Set the action handler
`void`
RenderOption.`setActionHandler(IHTMLActionHandler handler)`

## Uses of IHTMLActionHandler in org.eclipse.birt.report.engine.extension

Methods in org.eclipse.birt.report.engine.extension that return IHTMLActionHandler
Modifier and Type
Method
Description
`IHTMLActionHandler`
IReportItemPresentationInfo.`getActionHandler()`
Methods in org.eclipse.birt.report.engine.extension with parameters of type IHTMLActionHandler
Modifier and Type
Method
Description
`void`
IReportItemPresentation.`setActionHandler(IHTMLActionHandler ah)`
Deprecated.
implement #init(IReportItemPresentationInfo) instead.